> ## Documentation Index
> Fetch the complete documentation index at: https://docs.originsai.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# List Stt Providers

> Get list of available STT providers, optionally filtered by language.



## OpenAPI

````yaml https://originshq.b-cdn.net/openapi_sayna.json get /api/audio/stt/providers
openapi: 3.1.0
info:
  title: core
  version: 0.1.0
servers: []
security: []
paths:
  /api/audio/stt/providers:
    get:
      tags:
        - audio
      summary: List Stt Providers
      description: Get list of available STT providers, optionally filtered by language.
      operationId: list_stt_providers_api_audio_stt_providers_get
      parameters:
        - name: language
          in: query
          required: false
          schema:
            type: string
            description: Filter to providers that support this language code
            title: Language
          description: Filter to providers that support this language code
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/ProviderResponse'
                title: Response List Stt Providers Api Audio Stt Providers Get
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    ProviderResponse:
      properties:
        id:
          type: string
          title: Id
        name:
          type: string
          title: Name
      type: object
      required:
        - id
        - name
      title: ProviderResponse
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError

````